/*
Copyright (c)2005, TopCoder, Inc. All rights reserved
Author Cucu
*/
using TopCoder.File.Statistics.Matcher;
using NUnit.Framework;
using TopCoder.File.Statistics;
using System.IO;

namespace TopCoder.File.Statistics.AccuracyTests.Matcher
{
    /// <summary>
    /// Accuracy tests for AnyFileMatcher.
    /// </summary>
    [TestFixture]
    public class AnyFileMatcherAccuracyTest
    {       
        /// <summary>
        /// Test the Match method.  It has to return always true.
        /// </summary>
        [Test]
        public void TestMatch()
        {
            IFileMatcher matcher = new AnyFileMatcher();
            Assert.IsTrue(matcher.Match(new FileInfo (@"file.ext")));
        }
    }    
}